import COMMANDS from './commands/cluster';
import { RedisCommand, RedisModule, RedisModules } from './commands';
import { RedisCommandSignature } from './client';
import { RedisSocketOptions } from './socket';
export interface RedisClusterOptions<M = RedisModules> {
    rootNodes: Array<RedisSocketOptions>;
    modules?: M;
    useReplicas?: boolean;
    maxCommandRedirections?: number;
}
declare type WithCommands = {
    [P in keyof typeof COMMANDS]: RedisCommandSignature<(typeof COMMANDS)[P]>;
};
declare type WithModules<M extends Array<RedisModule>> = {
    [P in keyof M[number]]: RedisCommandSignature<M[number][P]>;
};
export declare type RedisClusterType<M extends RedisModules> = WithCommands & WithModules<M> & RedisCluster;
export default class RedisCluster {
    #private;
    static defineCommand(on: any, name: string, command: RedisCommand): void;
    static create<M extends RedisModules>(options: RedisClusterOptions): RedisClusterType<M>;
    constructor(options: RedisClusterOptions);
    connect(): Promise<void>;
    sendCommand<T = unknown>(args: Array<string>, firstKeyIndex?: number, isReadonly?: boolean, redirections?: number): Promise<T>;
    disconnect(): Promise<void>;
}
export {};
