"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = require("assert");
const test_utils_1 = require("../test-utils");
const HRANDFIELD_1 = require("./HRANDFIELD");
describe('HRANDFIELD', () => {
    describe('transformArguments', () => {
        it('simple', () => {
            assert_1.strict.deepEqual(HRANDFIELD_1.transformArguments('key'), ['HRANDFIELD', 'key']);
        });
        it('with count', () => {
            assert_1.strict.deepEqual(HRANDFIELD_1.transformArguments('key', 1), ['HRANDFIELD', 'key', '1']);
        });
        it('with count & values', () => {
            assert_1.strict.deepEqual(HRANDFIELD_1.transformArguments('key', 1, true), ['HRANDFIELD', 'key', '1', 'WITHVALUES']);
        });
    });
    test_utils_1.itWithClient(test_utils_1.TestRedisServers.OPEN, 'client.hRandField', async (client) => {
        assert_1.strict.equal(await client.hRandField('key'), null);
    });
});
